## why 2.04.dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+HEVEA=hevea -charset ISO-8859-1
 
 all: manual.ps doc.ps
 
@@ -22,7 +23,9 @@
 	dvips manual.dvi -o manual.ps
 
 manual.html: manual.tex
-	hevea manual.tex
+	rm -f manual.aux
+	$(HEVEA) manual.tex
+	$(HEVEA) manual.tex
 
 caduceus.ps: caduceus.tex
 	latex caduceus
@@ -32,13 +35,15 @@
 	dvips caduceus.dvi -o caduceus.ps
 
 caduceus.html: caduceus.tex
-	hevea caduceus.tex
+	rm -f caduceus.aux
+	$(HEVEA) caduceus.tex
+	$(HEVEA) caduceus.tex
 
 %.dvi: %.tex
 	latex $< && latex $<
 
-%.ps: %.dvi
-	dvips -o $@ $<
+# %.ps: %.dvi
+# 	dvips -o $@ $<
 
 clean::
 	rm -f *~ *.dvi *.log *.aux *.toc dep.ps doc.ps manual.ps caduceus.ps
