=== examples-c/tutorial/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	for f in $(FILES); do \
 	  caduceus $$f.c; \
 	  rm -f coq/caduceus_spec_why.v; \
-	  make -f $$f.makefile depend; \
+	  make -f $$f.makefile coq.depend; \
 	  make -f $$f.makefile coq; \
 	done
