=== examples/algo-63-64-65/Makefile ===

VO=algo64_valid.vo algo65_valid.vo

all: algo64_valid.vo algo65_valid.vo

include ../Makefile.common
