=== examples/dijkstra/Makefile ===

dijkstra_why.v: dijkstra.why
	../../bin/why.opt --coq -split-user-conj $^
