=== examples/find/Makefile ===

VO=find_valid.vo

all: find_lemmas.vo find_proofs.vo find_spec.vo 

include ../Makefile.common
