## why 2.26+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -122,5 +122,7 @@
 
 clean::
 	rm -f *~ *.dvi *.log *.aux *.toc \
-	dep.ps doc.ps manual.ps caduceus.ps krakatoa.pdf main.pdf 
+		dep.ps doc.ps manual.ps caduceus.ps krakatoa.pdf main.pdf 
+	rm -f *.cm*
 
+
