=== frama-c-plugin/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #                                                                        #
 #  This file is part of Frama-C.                                         #
 #                                                                        #
-#  Copyright (C) 2007-2009                                               #
+#  Copyright (C) 2007-2010                                               #
 #    INRIA (Institut National de Recherche en Informatique et en         #
 #           Automatique)                                                 #
 #                                                                        #
@@ -59,7 +59,7 @@
 all::  $(WHY_DISTRIB)/Makefile $(WHY_DISTRIB)/.depend why_all
 
 .PHONY: why_all $(WHY_DISTRIB)/depend $(WHY_DISTRIB)/clean
-why_all: $(WHY_DISTRIB)/Makefile $(WHY_DISTRIB)/.depend
+why_all: $(WHY_DISTRIB)/Makefile $(WHY_DISTRIB)/.depend $(PLUGIN_DIR)/interp.cmi
 	$(MAKE) -C $(dir $<) -j 1 all-without-frama-c-plugin
 
 $(WHY_DISTRIB)/depend: $(WHY_DISTRIB)/Makefile
@@ -78,11 +78,14 @@
 
 endif
 
-$(PLUGIN_DIR)/interp.cmo: $(WHY_DISTRIB)/jc/jc.cmo
+$(PLUGIN_DIR)/interp.cmo: $(PLUGIN_DIR)/interp.cmi $(WHY_DISTRIB)/jc/jc.cmo
 
 $(PLUGIN_DIR)/interp.cmi: $(WHY_DISTRIB)/jc/jc.cmi
 
-$(PLUGIN_DIR)/interp.cmx: $(WHY_DISTRIB)/jc/jc.cmx
+$(PLUGIN_DIR)/interp.cmx: $(PLUGIN_DIR)/interp.cmi $(WHY_DISTRIB)/jc/jc.cmx
+
+$(WHY_DISTRIB)/jc/jc.cmo: $(WHY_DISTRIB)/jc/jc.cmi
+$(WHY_DISTRIB)/jc/jc.cmx: $(WHY_DISTRIB)/jc/jc.cmi
 
 $(PLUGIN_DIR)/jessie_config.ml:
 	echo "let jessie_local = false" > $@
