=== debian/changelog ===
why (2.26+dfsg-2+squeeze1) stable; urgency=low

  * Add 0007-Squeeze-s-Coq-is-also-compatible.patch: why-config checks
    compatibility of provers by checking their version number. Coq
    versioned 8.2pl2 is also compatible (like 8.2pl1). Marking it as
    such so that it gets activated.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 13 Mar 2011 18:34:27 +0100

why (2.26+dfsg-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * Add 0006-Cope-with-OCaml-3.12-s-Map.patch (Closes: #585459)

  [ Mehdi Dogguy ]
  * Rebuild with Coq 8.2pl2
  * Convert to 3.0 (quilt) source format.
  * Bump standards version to 3.9.0, no changes needed.
  * Bump minimum frama-c-base's version to 20100401+boron+dfsg-4~.
  * Add "make" to runtime dependencies of Why.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 20 Jul 2010 19:35:51 +0200

why (2.26+dfsg-1) unstable; urgency=low

  * New upstream release
    - Refresh patches
  * Update copyright years
  * Build-depend on ocaml (>= 3.11.1-3~) and dh-ocaml (>= 0.9~)
  * Add a debian/source/format file (Keep 1.0 format, for now)

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 01 Jun 2010 21:47:05 +0200

why (2.25+dfsg-1) unstable; urgency=low

  * New upstream release
    - Refresh patches
    - Remove 0004-Use-tools-make_float_model.ocamlbest-instead-of-opt-.patch
  * Bump Standards Version to 3.8.4, no changes needed.
  * Raise minimum version for Frama-C to 20100401+boron
  * Raise minimum version for OcamlGraph to 1.4

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 27 Apr 2010 16:28:54 +0200

why (2.23+dfsg-2) unstable; urgency=low

  * Rebuild with OCaml 3.11.2
  * Correctly detect Coq-float wrt. its new path
    - Add 0006-Coq-float-can-be-in-coqlib-user-contrib-Float.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Jan 2010 23:56:15 +0100

why (2.23+dfsg-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release
    + Remove makefile.in.dpatch (fixed upstream)
    + Remove jessie_lib.dpatch (not needed anymore)
    + Needs ocamlgraph 1.3
    + Fixes detection of Alt-Ergo (Closes: #552776).
  * Refresh packaging
    + Use dh 7 features
    + Build-depend on quilt (goodbye dpatch!)
    + Add ${ocaml:Depends} in Why's Depends field
    + Add 0001-Do-not-run-tests-on-non-existant-files.patch
  * Fix some spelling errors
    + Add 0003-Fix-spelling-errors.patch
  * Fix FTBFS on bytecode architectures
    + Add 0004-Use-tools-make_float_model.ocamlbest-instead-of-opt-.patch
    + Apron also needs oct.cmxa (0002-Enable-Apron-support.patch)
    + Generate Jessie.cma
  * Fix debhelper-but-no-misc-depends
  * Fix out-of-date-standards-version
  * Set filter-pristine-tar to True in debian/gbp.conf
  * Remove libjessie-ocaml-dev which is no longer user by Frama-C and
    don't install the Jessie library.
  * Update copyright file
  * Add camlidl to Build-depends: needed to enable Arpon support

  [ Samuel Mimram ]
  * Enable apron support.
    + Add 0002-Enable-Apron-support.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Jan 2010 17:31:23 +0100

why (2.19+dfsg-2) unstable; urgency=low

  * Install why library in usr/share since there is no arch dependent
    files there.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 10 Sep 2009 14:11:00 +0200

why (2.19+dfsg-1) unstable; urgency=low

  * New Upstream Version
  * Use my Debian mail address, Remove DMUA
  * Add a 'Homepage' field in debian/control
  * Referesh path jessie_lib.dpatch
  * Fix long description for why-examples

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 27 Aug 2009 20:11:39 +0200

why (2.18.dfsg-5) unstable; urgency=low

  * Rebuild against latest Coq package, Closes: #536104.
  * Bump standards to 3.8.2
  * Tighten build-depends to ease OCaml 3.11.1 transition

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 07 Jul 2009 23:50:16 +0200

why (2.18.dfsg-4) unstable; urgency=low

  * libjessie-ocaml-dev:
    - Do not install jc.cm{x,}a
    - Only jc.{o,cmx,cmo,cmi} are installed.
  * Remove configure.dpatch

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Wed, 20 May 2009 15:38:58 +0200

why (2.18.dfsg-3) unstable; urgency=low

  * Fix erroneous usage of ifdef in debian/rules.
  * why-examples depends on non-versioned libwhy-coq and why, thanks
    Lintian.
  * Make a long description for libwhy-coq, closes: #524054.
  * Bump standards version to 3.8.1, no changes needed
  * Jessie library: 
    - Make jc_ast and jc_env fit in the pack
    - install jc.cmo and jc.cmx
    - Move the binary package to section ocaml

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Thu, 16 Apr 2009 17:23:41 +0200

why (2.18.dfsg-2) unstable; urgency=low

  * libwhy-coq replaces why (<< 2.18.dfsg-1), closes: #522440.
  * why now depends on libwhy-coq (= ${binary:Version}) and why-examples
    on why (= ${binary:Version}).

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Fri, 03 Apr 2009 22:03:21 +0200

why (2.18.dfsg-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release.
  * New binary packages:
    + libjessie-ocaml-dev:
      - Build and install jc.{cma,cmxa,a} using jessie_lib.dpatch
      - Install jc.cmi
      - Add a META file for Jessie library
    + why-examples:
      - why-examples recommends why
    + libwhy-coq:
      - Install .vo files in /usr/lib/coq/user-contrib, closes: #498713.
  * debian/rules:
    + do not compress .v,.sx,.why files
    + Use debhelper 7
    + Move logo in /usr/share/why (using logopath.dpatch)
    + Setting up manpages for krakatoa, gwhy-bin, tool-stat and why-config
  * debian/control:
    + Bump standards version to 3.8.0, no changes needed.
    + Why recommends alt-ergo and suggest libwhy-coq.
    + Add missing runtime dependency for why (on non-native-architecures).
    + Change vcs-* fields to point to Git repository
    + Depend on coq-${F:CoqABI} instead of Coq
    + Add DMUA flag with Sam's blessing
    + Remove not needed build dependency: ocamlweb
  * Add patch descriptions to configure.dpatch and logopath.dpatch

  [ Samuel Mimram ]

