## why 2.29+dfsg

=== debian/changelog ===
why (2.29+dfsg-3) unstable; urgency=low

  * Remove last added patch. The problem was in Makefile.dynamic, shipped
    by frama-c-base which lacks some include statements.
    - remove 0004-ocamlgraph-is-needed-to-link-frama-c-Jessie.patch
    - Bump minimum version number for Frama-C to 20110201+carbon+dfsg-2~.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 25 Apr 2011 12:11:03 +0200

why (2.29+dfsg-2) unstable; urgency=low

  * Fix FTBFS on armel.
    - add 0004-ocamlgraph-is-needed-to-link-frama-c-Jessie.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 25 Apr 2011 00:29:49 +0200

why (2.29+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Remove old patches, which are not needed anymore.
    - Remove build-depends on coq-float (upstream switched to Flocq which
      is not packaged yet).
  * Bump minimum version of Coq to 8.3
    - and add 0001-Why-2.29-do-support-Coq-8.3.patch (upstream forgot to
      mention to why-config that Coq 8.3 is "ok").
  * Mark Alt-Ergo 0.93 as compatible
    - add 0002-Mark-alt-ergo-0.93-as-compatible.patch
  * Fix FTBFS due to non-exhaustive pattern matching
    - add 0003-Fix-non-exhaustive-pattern-matching-in-jc_annot_infe.patch
  * Set 20110201+carbon+dfsg-1~ as minimum version number for Frama-C.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Apr 2011 20:12:57 +0200

why (2.26+dfsg-4) unstable; urgency=low

  * Team upload
  * Rebuild with coq 8.2.pl2+dfsg-2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Mar 2011 08:03:27 +0100

why (2.26+dfsg-3) unstable; urgency=low

  [ Stéphane Glondu ]
  * Fix versioned build-deps to ensure smoother backports

  [ Mehdi Dogguy ]
  * Add 0007-Squeeze-s-Coq-is-also-compatible.patch: why-config checks
    compatibility of provers by checking their version number. Coq
    versioned 8.2pl2 is also compatible (like 8.2pl1). Marking it as
    such so that it gets activated.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 20 Jan 2011 21:00:18 +0100
