=== debian/control ===
--- 
+++ 
@@ -12,12 +12,11 @@
   ocaml-nox (>= 3.11.1-3~),
   ocaml-best-compilers,
   camlp4,
-  liblablgtk2-ocaml-dev (>= 2.12.0-3),
-  coq (>= 8.2.pl1),
-  libfloat-coq (>= 1:8.2-1.2-3),
-  libocamlgraph-ocaml-dev (>= 1.4),
-  frama-c-base (>= 20100401+boron+dfsg-4~),
-  libapron-ocaml-dev (>= 0.9.10-4),
+  liblablgtk2-ocaml-dev (>= 2.12.0-3~),
+  coq (>= 8.3~),
+  libocamlgraph-ocaml-dev (>= 1.4~),
+  frama-c-base (>= 20110201+carbon+dfsg-2~),
+  libapron-ocaml-dev (>= 0.9.10-4~),
   camlidl
 Standards-Version: 3.9.0
 Homepage: http://why.lri.fr/
