## why 2.30%2bdfsg

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,12 @@
   camlp4,
   liblablgtk2-ocaml-dev (>= 2.12.0-3~),
   coq (>= 8.3~),
+  libfloat-coq,
   libocamlgraph-ocaml-dev (>= 1.4~),
-  frama-c-base (>= 20110201+carbon+dfsg-2~),
+  frama-c-base (>= 20111001+nitrogen+dfsg-1~),
   libapron-ocaml-dev (>= 0.9.10-4~),
   camlidl
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Homepage: http://why.lri.fr/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/why.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/why.git
@@ -29,10 +30,11 @@
   ${shlibs:Depends},
   ${ocaml:Depends},
   ${misc:Depends},
+  frama-c-base (= ${F:FramaCVersion}),
   make
 Suggests: libwhy-coq (= ${binary:Version})
 Recommends: alt-ergo
-Description: A software verification tool
+Description: Software verification tool
  Why aims at being a verification conditions generator (VCG) back-end
  for other verification tools. It provides a powerful input language
  including higher-order functions, polymorphism, references, arrays and
