## why 2.30+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,19 @@
-HEVEA=hevea -fix
+HEVEA=hevea -noiso -entities -exec xxdate.exe -fix
 
-all: main.pdf manual.ps caduceus.ps $(KFILES) krakatoa.pdf
+all: main.pdf manual.ps $(KFILES) krakatoa.pdf \
+	sourcepp jessie.pdf krakatoa.html jessie.html \
+	index.html
+
+install: all
+	cp krakatoa.pdf jessie.pdf krakatoa.html jessie.html \
+		why_frama_c2-mps.png \
+		/users/www-perso/projets/krakatoa
+	cp index.html /users/www-perso/projets/krakatoa/index.html
+
+index.html:: why_frama_c2-mps.png
+
+%.html: %.prehtml
+	yamlpp  $< -o $@
 
 doc.dvi: doc.tex rules.tex macros.tex code.tex dep.ps
 
@@ -20,6 +33,27 @@
 	Flag_swap.pp Flag_body.pp \
 	contracts.bnf lexpr.bnf \
 	Gcd-nospec.pp Gcd-spec.pp Gcd.pp Gcd-lemmas.pp
+
+# for jessie
+SNIPPET=$(wildcard codes/*.c)
+SNIPPETPP:=$(patsubst codes/%.c, texpp/%.cpp, $(SNIPPET))
+
+sourcepp: $(SNIPPETPP) $(EXAMPLESPP)
+
+why_frama_c1.mps: why_frama_c.ml
+	mlpost -pdf -latex jessie.tex why_frama_c.ml
+
+why_frama_c1-mps.pdf: why_frama_c1.mps
+	mptopdf why_frama_c1.mps 
+
+why_frama_c2.mps: why_frama_c.ml
+	mlpost -pdf -latex jessie.tex why_frama_c.ml
+
+why_frama_c2-mps.pdf: why_frama_c2.mps
+	mptopdf why_frama_c2.mps 
+
+why_frama_c2-mps.png: why_frama_c2-mps.pdf
+	pdftoppm -r 150 why_frama_c2-mps.pdf | pnmtopng -transparent white > why_frama_c2-mps.png
 
 dep.ps:
 	(cd ../src; ocamldep *.ml* | ocamldot | dot -Tps) > dep.ps
@@ -65,12 +99,23 @@
 	pdflatex krakatoa.tex
 	pdflatex krakatoa.tex
 
+jessie.pdf: sourcepp jessie.tex version.tex
+	pdflatex jessie.tex
+	bibtex jessie
+	makeindex jessie
+	pdflatex jessie.tex
+	pdflatex jessie.tex
+
 february2008.pdf: $(KFILES) version.tex
 	pdflatex february2008.tex
 
 krakatoa.html: krakatoa.tex version.tex
 	rm -f krakatoa.aux
 	$(HEVEA) krakatoa.tex
+
+jessie.html: jessie.tex version.tex
+	rm -f jessie.aux
+	$(HEVEA) jessie.tex
 
 main.html: main.tex version.tex
 	rm -f main.aux
@@ -89,6 +134,10 @@
 
 %.pp: %.java pp
 	./pp -java $< > $@
+
+texpp/%.cpp: codes/%.c pp  Makefile
+	mkdir -p texpp
+	./pp -c $< > $@
 
 %.dvi: %.tex
 	latex $< && latex $<
