=== frama-c-plugin/Makefile ===
--- 
+++ 
@@ -51,7 +51,6 @@
 #PLUGIN_DEPFLAGS:=$(JESSIE_INCLUDES)
 PLUGIN_DOCFLAGS:=$(JESSIE_INCLUDES)
 PLUGIN_TESTS_DIRS:=jessie
-PLUGIN_NO_DEFAULT_TEST:=yes
 
 ifeq ($(FRAMAC_MAKE),yes)
 unexport $(FRAMAC_MAKE)
