=== debian/changelog ===
why (2.30+dfsg-5) unstable; urgency=low

  * Update 0001-Why-2.29-do-support-Coq-8.3.patch
    - Mark Coq 8.3pl4 as compatible.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 16 May 2012 12:54:14 +0200

why (2.30+dfsg-4) unstable; urgency=high

  * Team upload
  * Recompile with coq 8.3pl4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 06 Apr 2012 10:00:25 +0200

why (2.30+dfsg-3) unstable; urgency=high

  * Fix 0002-Mark-alt-ergo-0.93-as-compatible.patch
    - Adapt version_regexp because "alt-ergo -version" changed.
  * Fix 0004-Default-to-why2-for-jessie-atp.patch
    - default to "gui" instead of "why2".
  * Add 0007-Replace-caduceus-invocation-by-Frama-C.patch
    - Caduceus is gone. We use Frama-C instead.
    - Adding Frama-C to Why's dependencies.
  * Setting urgency to "high" to fix those issues.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 16 Jan 2012 18:19:38 +0100

why (2.30+dfsg-2) unstable; urgency=low

  * Rebuilt with latest coq-float 1:8.3pl1-1 (no source changes).

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 12 Jan 2012 17:50:39 +0100

why (2.30+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update patches:
    - Rebase and update existing patches
    - add 0004-Default-to-why2-for-jessie-atp.patch
    - add 0005-Fix-Jc_annot_inference-use-old_reg_pos.patch
  * Add (back) Build-Depends on coq-float.
  * Bump build requirement for frama-c to 20111001+nitrogen+dfsg-1~.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Fix description-synopsis-starts-with-article in why's description.
  * Fix copyright-refers-to-deprecated-bsd-license-file
  * Fix spelling-error-in-binary
  * Mark Coq 8.3pl3 as compatible with current Why

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 02 Jan 2012 15:39:47 +0100

why (2.29+dfsg-4) unstable; urgency=low

  * Rebuild with OCaml 3.12.1.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 03 Nov 2011 22:31:40 +0100
