=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
   frama-c-base (>= 20111001+nitrogen+dfsg-1~),
   libapron-ocaml-dev (>= 0.9.10-4~),
   camlidl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://why.lri.fr/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/why.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/why.git
